Deck Data

Get parsed deck data for every deck file attached to the deal.

Returns an empty list when no decks have been parsed/published.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired

Response

Successful Response
file_idinteger
ID of the source deck file on the deal.
file_namestring
Name of the source deck PDF.
gcs_uristring
GCS URI of the source deck PDF.
num_pagesinteger
Number of pages parsed from the deck.
logic_namestring
Parsing logic identifier.
logic_versionstring
Parsing logic version.
metadataobjectOptional
pageslist of objectsOptional

Per-page data-centric content.

summaryobject or nullOptional

Best-effort deck summary; may be null.

Errors

422
Unprocessable Entity Error